# ImageLabel

ImageLabel : `GuiObject`

## Overview

Unlike Frame, ImageLabel is a UI element that can be used to display a specified image in a square.

The color and transparency of image can be corrected and adjusted with the ImageColor3 and ImageTransparency properties. If background needs to be hidden while image is displayed, set BackgroundTransparency to 1.

ImageLabel can be controlled only in **client environment**.

## Properties

### Image

`string`

Specifies image asset to be displayed in ImageLabel.

#### Code Samples

```lua
local ScreenGui = script.Parent
local ImageLabel = ScreenGui:WaitForChild("ImageLabel")

ImageLabel.Image = "ovdrassetid://1234"
```

### ImageColor3

`Color3`

Specifies the color to be applied to image.

If color is left white, original image will be displayed. If some other color is specified, the whole image will be in that hue.

#### Code Samples

```lua
local ScreenGui = script.Parent
local ImageLabel = ScreenGui:WaitForChild("ImageLabel")

ImageLabel.ImageColor3 = Color3.fromRGB(255, 0, 0)
```

### ImageTransparency

`number`

Specifies the transparency of image.

0 means the image is completely opaque while 1 means the image is totally invisible.

If background needs to be hidden while image is displayed, set BackgroundTransparency to 1.

#### Code Samples

```lua
local ScreenGui = script.Parent
local ImageLabel = ScreenGui:WaitForChild("ImageLabel")

ImageLabel.ImageTransparency = 0.5
```

## Methods

## Events

## See also


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/imagelabel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
